Subject: Re: bug#51838: [PATCH 00/11] guix: node-build-system: Support compiling add-ons with node-gyp.

From: Philip McGrath <[email-masked]>
Date: Thu, 2 Dec 2021 16:18:01 -0500

On 11/28/21 14:35, Timothy Sample wrote:
> Jelle Licht <[email-masked]> writes:
>>  From what I have seen package-lock.json offers us no benefits (because
>> we track exact dependency information via the guix store) and can (as
>> you have seen) prevent builds from working. My 2c: always remove it in a
>> phase in the build system.
> 
> I’m inclined to agree with Jelle and Liliana.  I can’t imagine a
> situation in which we would want the lock files.  We could be wrong, but
> we can always adjust the build system later if something surprising
> happens (e.g., ‘#:keep-lock-file?’ or whatever).

This makes sense to me. Should we also delete "yarn.lock" (respected as 
of npm v7)[1] and "npm-shrinkwrap.json"[2]? It seems like the same 
reasons probably apply. We might want to handle 
"node_modules/.package-lock.json"[3], too, but that seems less likely to 
exist.

-Philip

[1]: 
https://blog.npmjs.org/post/621733939456933888/npm-v7-series-why-keep-package-lockjson.html
[2]: 
https://docs.npmjs.com/cli/v8/configuring-npm/package-lock-json#package-lockjson-vs-npm-shrinkwrapjson
[3]: 
https://docs.npmjs.com/cli/v8/configuring-npm/package-lock-json#package-lockjson-vs-npm-shrinkwrapjson